import Vue from 'vue'
import Router from 'vue-router'


Vue.use(Router)

// 解决ElementUI导航栏中的vue-router在3.0版本以上重复点菜单报错问题
const originalPush = Router.prototype.push
Router.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err)
}


// {
//   path: "/redio",
//     name: "redio",
//   component: () => import('@/components/Element_Radio.vue')
// }
export default new Router({
	routes: [{
		path: '/',
		component: () => import('../view/main/Main.vue'),
		children: [
			{
				path: '/test',
				name: 'test',
				component: () => import('../view/test/test.vue'),
			},
			{
				path: '/order',
				name: 'order',
				component: () => import('../view/order_management/OrderList.vue'),
			},
		]
	}]

})
